| Earth Observation Mission CFI Software Lib Software User Manual |

Public Member Functions | Public Attributes

# EECFI::StarData Class Reference

Base class for StarData objects. More...

Inheritance diagram for EECFI::StarData:

List of all members.

## Public Member Functions
| StarData ()
| Class constructor (empty constructor).
| StarData (double ra, double dec, double muRa, double muDec, double radVel, double par, long cs)
| Class constructor with parameters.
| ~StarData ()
| Class destructor.
Coord | getCart (const ModelId &modelId, long deriv) throw (CfiError)
| Get cartesian coordinates in the requested CS.
void | getStar (const ModelId &modelId, Time &time, double &newRa, double &newDec) throw (CfiError)
| Get star Ra and Dec in ToD for a given time.
StarData | changeCatalog (const ModelId &modelId, Time &time, long newCatalog) throw (CfiError)
| Get the star parameters in a different catalog.
## Public Attributes
double | ra
| RA or galactic longitude (radians: 0, 2PI).
double | dec
| Dec or galactic latitude (radians: -PI/2, PI/2).
double | muRa
| Proper motion in RA (rad/century).
double | muDec
| Proper motion in Dec (rad/century).
double | radVel
| Radial velocity (AU/century).
double | parallax
| Parallax (radians: 0, 2PI).
long | cs
| Reference frame where the coordinates are refered to.

## Detailed Description

Base class for StarData objects.

## Constructor & Destructor Documentation

EECFI::StarData::StarData | ( |  | ) |

Class constructor (empty constructor).

References cs, dec, muDec, muRa, parallax, ra, and radVel.

EECFI::StarData::StarData | ( | double | ra,
|  | double | dec,
|  | double | muRa,
|  | double | muDec,
|  | double | radVel,
|  | double | par,
|  | long | cs |
| ) |  |  |

Class constructor with parameters.

Parameters:

  | ra | RA or galactic longitude (radians: 0, 2PI).
  | dec | Dec or galactic latitude (radians: -PI/2, PI/2).
  | muRa | Proper motion in RA (rad/century).
  | muDec | Proper motion in Dec (rad/century).
  | radVel | Radial velocity (AU/century).
  | par | Parallax (radians: 0, 2PI).
  | cs | Reference frame where the coordinates are refered to.

References parallax.

EECFI::StarData::~StarData | ( |  | ) | `[inline]`

Class destructor.

## Member Function Documentation

StarData EECFI::StarData::changeCatalog | ( | const ModelId & | modelId,
|  | Time & | time,
|  | long | newCatalog |
| ) |  |  | throw (CfiError)

Get the star parameters in a different catalog.

Only the RA and Dec. are computed.

Parameters:

  | modelId | Model id.
  | time | Time of the input star.
  | newCatalog | New catalogue where the new parameters are computed.

Returns:
  Star parameters in new catalog.

Coord EECFI::StarData::getCart | ( | const ModelId & | modelId,
|  | long | deriv |
| ) |  |  | throw (CfiError)

Get cartesian coordinates in the requested CS.

Only the position and velocity vector are computed (not the accelearation).

Class destructor.

Parameters:

  | modelId | Model Id.
  | deriv | flag to indicate if derivatives have to be computed (XLCFI_NO_DER, XLCFI_DER_1ST).

void EECFI::StarData::getStar | ( | const ModelId & | modelId,
|  | Time & | time,
|  | double & | newRa,
|  | double & | newDec |
| ) |  |  | throw (CfiError)

Get star Ra and Dec in ToD for a given time.

The object StarData values are used as a reference and it it should be given in FK5 catalog (BM2000 CS).

Parameters:

  | modelId | Model id.
  | time | Time for which the values are requested.
  | newRa | [OUTPUT] RA of the star at time.
  | newDec | [OUTPUT] Declination of the star at time.

## Member Data Documentation

long EECFI::StarData::cs

Reference frame where the coordinates are refered to.

Referenced by EECFI::Coord::getRaDec(), and StarData().

double EECFI::StarData::dec

Dec or galactic latitude (radians: -PI/2, PI/2).

Referenced by EECFI::Coord::getRaDec(), and StarData().

double EECFI::StarData::muDec

Proper motion in Dec (rad/century).

Referenced by EECFI::Coord::getRaDec(), and StarData().

double EECFI::StarData::muRa

Proper motion in RA (rad/century).

Referenced by EECFI::Coord::getRaDec(), and StarData().

double EECFI::StarData::parallax

Parallax (radians: 0, 2PI).

Referenced by EECFI::Coord::getRaDec(), and StarData().

double EECFI::StarData::ra

RA or galactic longitude (radians: 0, 2PI).

Referenced by EECFI::Coord::getRaDec(), and StarData().

double EECFI::StarData::radVel

Radial velocity (AU/century).

Referenced by EECFI::Coord::getRaDec(), and StarData().